# This file is placed in the Public Domain.
#
#


import os


from setuptools import setup


def read():
    return open("README.rst", "r").read()


def uploadlist(dir):
    upl = []
    for file in os.listdir(dir):
        if not file or file.startswith('.'):
            continue
        d = dir + os.sep + file
        if os.path.isdir(d):   
            upl.extend(uploadlist(d))
        else:
            if file.endswith(".pyc") or file.startswith("__pycache"):
                continue
            upl.append(d)
    return upl


setup(
    name='opmod',
    version='10',
    url='https://github.com/bthate/opmod',
    author='Bart Thate',
    author_email='bthate67@gmail.com', 
    description="object programming modules",
    long_description=read(),
    license='Public Domain',
    install_requires=["oplib", "feedparser"],
    packages=["opmod"],
    scripts=["bin/opb"],
    zip_safe=True,
    classifiers=['Development Status :: 3 - Alpha',
                 'License :: Public Domain',
                 'Operating System :: Unix',
                 'Programming Language :: Python',
                 'Topic :: Utilities'
                ]
)
 